﻿<!DOCTYPE html>
<html>
<head>
    <script>
        var height = @ViewBag.map.height;
		var width = @ViewBag.map.width;
		var mapName = "@ViewBag.mapName";
        var xref = @Html.Raw(Json.Encode(ViewBag.boothNums));
        var smartMap = @Html.Raw(Json.Encode(ViewBag.map));
    </script>
    <script src="~/Scripts/SmartMap.js" language="javascript" type="text/javascript">
    </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js">
    </script>
</head>
<body>
    @using CareerDayWCFWebService
    @{
        ViewBag.Title = "SmartMap";
    }

    <div class="white-background">
        <div class="row page-header"><h2 class="center">@ViewBag.mapName</h2></div>
        <br />
        <canvas id="smartMap" hidden>
            Your browser does not support HTML5 canvas. Update your browser to use this feature.
        </canvas>
        <div>
            <p class="back-to-map-container">
                <a href="~/Home/BoothMap" class="btn btn-default back-to-map" style="margin-bottom: 1%;">Back to Booth Maps Page</a>
                @if (ViewBag.resumeDrops.Count != 0)
                {
                    <a href="#resumeDrop" class="btn btn-default back-to-map" style="margin-bottom: 1%;">Go to Resume Drop</a>
                }
            </p>
            <p class="center">
                Your <a href="~/Home/SavedCompanies" style="color: #d2492a">saved companies</a> are highlighted in <span style="background-color: deepskyblue">blue</span>.
            </p>
            @if (ViewBag.boothNum != "")
            {
                <p class="center">
                    If you clicked from a booth number, that booth will be highlighted in <span style="background-color: greenyellow">green</span>.
                </p>
            }
            <div class="center">
                <button onclick="downloadImage()" style="margin-bottom: 10px">Download Map</button>
            </div>
            <!-- <div class="center">
                <button onclick="downloadPdf()" style="margin-bottom: 10px">Download PDF</button>
            </div> -->
            <div class="smartContainer" style="overflow-x: scroll">
                <table class="smartTable">
                    @for (int i = 0; i < ViewBag.map.height; ++i)
                    {
                        <tr class="smartTableRow">
                            @for (int j = 0; j < ViewBag.map.width; ++j)
                            {
                                if (ViewBag.map.cellContents[i][j].text == "H")
                                {
                                    <td class="smartTableCol smartHall"></td>
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "E")
                                {
                                    <td class="smartTableCol smartHall center"><strong>Entrance</strong></td>
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "F")
                                {
                                    <td class="smartTableCol smartHall"><strong>Emergency Exit</strong></td>
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "B")
                                {
                                    <td class="smartTableCol smartBalcony"></td>
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "Back")
                                {
                                    <td class="smartTableCol smartBalcony"></td>
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "W")
                                {
                                    <td class="smartTableCol smartWall"></td>
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "R")
                                {
                                    if (ViewBag.isRD)
                                    {
                                        <td class="smartTableCol smartResumeSelect"><strong><a href="~/Home/ResumeDrop" style="color: #d2492a">Resume Drop (RD)</a></strong></td>
                                    }
                                    else
                                    {
                                        <td class="smartTableCol smartBooth"><strong><a href="~/Home/ResumeDrop" style="color: #d2492a">Resume Drop (RD)</a></strong></td>
                                    }
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "RE")
                                {
                                    if (ViewBag.isRD)
                                    {
                                        <td class="smartTableCol smartResumeSelect"></td>
                                    }
                                    else
                                    {
                                        <td class="smartTableCol smartBooth"><strong></strong></td>
                                    }
                                }
                                else if (ViewBag.map.cellContents[i][j].text == "")
                                {
                                    if (ViewBag.boothNums.ContainsKey(ViewBag.map.cellContents[i - 1][j].text))
                                    {
                                        if (ViewBag.boothNum != "" && ViewBag.boothNum == ViewBag.map.cellContents[i - 1][j].text)
                                        {
                                            <td class="smartTableCol smartLowerSelect">
                                                <a href="~/Home/Company?id=@ViewBag.boothNums[ViewBag.map.cellContents[i - 1][j].text].orgID" style="color: #d2492a">@ViewBag.boothNums[ViewBag.map.cellContents[i - 1][j].text].orgName</a>
                                            </td>
                                        }
                                        else if (ViewBag.saved.Contains(ViewBag.boothNums[ViewBag.map.cellContents[i - 1][j].text].orgBoothNo))
                                        {
                                            <td class="smartTableCol smartLowerSave">
                                                <a href="~/Home/Company?id=@ViewBag.boothNums[ViewBag.map.cellContents[i - 1][j].text].orgID" style="color: #d2492a">@ViewBag.boothNums[ViewBag.map.cellContents[i - 1][j].text].orgName</a>
                                            </td>
                                        }
                                        else
                                        {
                                            <td class="smartTableCol smartLower">
                                                <a href="~/Home/Company?id=@ViewBag.boothNums[ViewBag.map.cellContents[i - 1][j].text].orgID" style="color: #d2492a">@ViewBag.boothNums[ViewBag.map.cellContents[i - 1][j].text].orgName</a>
                                            </td>
                                        }
                                    }
                                    else
                                    {
                                        <td class="smartTableCol smartLower"></td>
                                    }
                                }
                                else
                                {
                                    if (ViewBag.boothNum != "" && ViewBag.boothNum == ViewBag.map.cellContents[i][j].text)
                                    {
                                        <td class="smartTableCol smartUpperSelect"><strong>@ViewBag.map.cellContents[i][j].text</strong></td>
                                    }
                                    else if (ViewBag.boothNums.ContainsKey(ViewBag.map.cellContents[i][j].text) && ViewBag.saved.Contains(ViewBag.boothNums[ViewBag.map.cellContents[i][j].text].orgBoothNo))
                                    {
                                        <td class="smartTableCol smartUpperSave"><strong>@ViewBag.map.cellContents[i][j].text</strong></td>
                                    }
                                    else
                                    {
                                        <td class="smartTableCol smartUpper"><strong>@ViewBag.map.cellContents[i][j].text</strong></td>
                                    }
                                }
                            }
                        </tr>
                    }
                </table>
                @if (ViewBag.resumeDrops.Count != 0)
                {
                    <div class="orange-bar" style="margin-bottom: 0 !important"></div>
                    <h2 class="center bar" style="margin-top: 0 !important; padding-top: 1% !important" id="resumeDrop">Resume Drop</h2>

                    <div style="column-count: 3">
                        @foreach (Company c in ViewBag.resumeDrops)
                        {
                            <p class="center rd-links"><a href="~/Home/Company?id=@c.orgID" style="color: #d2492a">@c.orgName</a></p>
                        }
                    </div>
                    <br />
                }
                else
                {
                    <br />
                }
            </div>
        </div>

    </div>
</body>
</html>